﻿//(c) Alexandru Ghiondea, 2011
using System;


namespace JSONDotNET
{
    public class ParserException : Exception
    {
        public int Position { get; private set; }

        public ParserException(string Message, int Position)
            : base(Message)
        {
            this.Position = Position;
        }

        public ParserException(string Message, int Position, Exception exc)
            : base(Message, exc)
        {
            this.Position = Position;
        }
    }
}
