﻿//(c) Alexandru Ghiondea, 2011
using System;
using System.Collections.Generic;
using System.Text;

namespace JSONDotNET.Syntax
{
    public class ArrayValue : ParsedValue
    {
        public List<ParsedValue> Value;

        public override void accept(Visitors.ISyntaxVisitor visitor)
        {
            visitor.Visit(this);

            foreach (var value in Value)
            {
                value.accept(visitor);
            }
        }
    }
}
