﻿//(c) Alexandru Ghiondea, 2011
using System;
using System.Collections.Generic;

using System.Text;
using JSONDotNET.Visitors;

namespace JSONDotNET.Syntax
{
    public class ParsedObject : ParsedValue
    {
        public List<ParsedPair> Members;

        public override void accept(ISyntaxVisitor visitor)
        {
            visitor.Visit(this);

            foreach (var member in Members)
            {
                member.accept(visitor);
            }
        }
    }
}
