﻿//(c) Alexandru Ghiondea, 2011
using System;
using JSONDotNET.Syntax;
namespace JSONDotNET.Visitors
{
    public interface ISyntaxVisitor
    {
        void Visit(ArrayValue arrayValue);
        void Visit(CompilationUnit unit);
        void Visit(DoubleNumberValue parsedValue);
        void Visit(IntNumberValue parsedValue);
        void Visit(NullValue parsedValue);
        void Visit(ParsedObject parsedObject);
        void Visit(ParsedPair item);
        void Visit(ParsedValue parsedValue);
        void Visit(StringValue parsedValue);
    }
}
