﻿//(c) Alexandru Ghiondea, 2011
using System;

namespace TestLibrary
{
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
    public sealed class TestGroup : Attribute
    {
        private string myTestClass;

        // This is a positional argument
        public TestGroup(string testName)
        {
            this.myTestClass = testName;
        }

        public string TestName
        {
            get { return myTestClass; }
        }
    }
}
