﻿//(c) Alexandru Ghiondea, 2011
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JSONDotNET
{
    public enum TokenKind
    {
        OpenBrace, //{
        CloseBrace, //}
        OpenSquareBrace, //[
        CloseSquareBrace, //]
        Comma, //,
        DoubleQuote, //"
        EscapedCharacter, // \" \\ \/ \b \f \n \r \t \u<1234>
        Minus, //-
        Plus, //+
        Digit, //1..9
        Character, // all except escaped
        Exponent, //e or E
        Dot, //.
        True, //true
        False, //false
        Null, //null
        Colon //:
    }
}
