﻿//(c) Alexandru Ghiondea, 2011
using System;
using System.Collections.Generic;

using System.Text;
using JSONDotNET.Visitors;

namespace JSONDotNET.Syntax
{
    public class ParsedPair
    {
        public string Name;
        public ParsedValue Value;

        public override string ToString()
        {
            DisplayVisitor display = new DisplayVisitor();
            display.Visit(this);
            return display.ToString();
        }

        public void accept(ISyntaxVisitor visitor)
        {
            visitor.Visit(this);

            Value.accept(visitor);
        }
    }
}
