﻿//(c) Alexandru Ghiondea, 2011
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace JSONDotNET.Visitors
{
    public class StructureVisitor : ISyntaxVisitor
    {
         public void Visit(Syntax.ArrayValue arrayValue)
        {
            Console.WriteLine("Array");
        }

        public void Visit(Syntax.CompilationUnit unit)
        {
            Console.WriteLine("Compilation unit");
        }

        public void Visit(Syntax.DoubleNumberValue parsedValue)
        {
            Console.WriteLine("Double");
        }

        public void Visit(Syntax.IntNumberValue parsedValue)
        {
            Console.WriteLine("Int");
        }

        public void Visit(Syntax.NullValue parsedValue)
        {
            Console.WriteLine("null");
        }

        public void Visit(Syntax.ParsedObject parsedObject)
        {
            Console.WriteLine("object");
        }

        public void Visit(Syntax.ParsedPair item)
        {
            Console.WriteLine("Pair");
        }

        public void Visit(Syntax.ParsedValue parsedValue)
        {
            Console.WriteLine("Value");
        }

        public void Visit(Syntax.StringValue parsedValue)
        {
            Console.WriteLine("String");
        }
    }
}
